GET
https://api.cryptohopper.com/v1/hopper/{id}/activity
Returns the task the hopper worked on most recently, such as balances, buy or cancelorder, and whether that task was starting or finished.
start is 1 when the task started and 0 when it finished. Without recent activity the response is task noactivity, start 1 and time as a Unix timestamp string of five minutes ago.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/activity" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/activity', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/activity",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/activity');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Response
{
"data": {
"task": "balances",
"start": 1,
"time": "2026-09-25T10:15:00Z"
}
}